Bug 147538 - fat32 filesystem not permanently deleting files
fat32 filesystem not permanently deleting files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 17:53 EST by Karen Bruner
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karen Bruner 2005-02-08 17:53:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Files and directories deleted from a fat32 filesystem on a 250GB or
300Gb USB drive (Maxtor) mounted on linux box "reappear" when
filesystem is remounted on a Windows box.  Also, filesystem usage
reported by linux box does not decrease.  However, the files are no
longer visible on the linux box, even after unmounting and remounting
the drive.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-27.0.2.EL

How reproducible:
Always

Steps to Reproduce:
1. attach and partition USB drive
2. mkfs -t vfat <device>
3. mount -t vfat -o rw <device> <mountpoint>
4. copy files to drive
5. rm -rf * <mountpoint>
6. df -k <mountpoint>
7. umount drive and put on Windows box
8. find "deleted" files!


Actual Results:  Even after rm -rf everything on drive, df still
showed prior usage.  When the drive was mounted on a Windows box,
deleted files and directories were still there.

Expected Results:  df should show minimal usage (right after
formatting, 32kb are used).  File and directories should not be
visible when the drive is moved to a Windows box.

Additional info:

fsck.vfat neither "found" the "deleted" files nor freed the usage
Comment 2 RHEL Product and Program Management 2007-10-19 15:07:32 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.